# Uses of Interface
org.opensaml.xacml.policy.CombinerParametersType

Packages that use CombinerParametersType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of CombinerParametersType in org.opensaml.xacml.policy

Subinterfaces of CombinerParametersType in org.opensaml.xacml.policy
Modifier and Type
Interface
Description
`interface`
`PolicyCombinerParametersType`
XACML PolicyCombinerParameters schema type.
`interface`
`PolicySetCombinerParametersType`
XACML PolicySetCombineParameters schema type.
`interface`
`RuleCombinerParametersType`
XACML RuleCombinerParameters schema type.
Methods in org.opensaml.xacml.policy that return types with arguments of type CombinerParametersType
Modifier and Type
Method
Description
`List<CombinerParametersType>`
PolicySetType.`getCombinerParameters()`
Gets the combiner parameters for this policy set.
`List<CombinerParametersType>`
PolicyType.`getCombinerParameters()`
Gets the combiner parameters for this policy.

## Uses of CombinerParametersType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement CombinerParametersType
Modifier and Type
Class
Description
`class`
`CombinerParametersTypeImpl`
Implementation of `CombinerParametersType`.
`class`
`PolicyCombinerParametersTypeImpl`
Implementation of `PolicyCombinerParametersTypeUnmarshaller`.
`class`
`PolicySetCombinerParametersTypeImpl`
Implementation of `PolicySetCombinerParametersType`.
`class`
`RuleCombinerParametersTypeImpl`
Implementation for `RuleCombinerParametersTypeImplBuilder`.
Methods in org.opensaml.xacml.policy.impl that return CombinerParametersType
Modifier and Type
Method
Description
`CombinerParametersType`
CombinerParametersTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`CombinerParametersType`
CombinerParametersTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type CombinerParametersType
Modifier and Type
Method
Description
`List<CombinerParametersType>`
PolicySetTypeImpl.`getCombinerParameters()`
Gets the combiner parameters for this policy set.
`List<CombinerParametersType>`
PolicyTypeImpl.`getCombinerParameters()`
Gets the combiner parameters for this policy.